Misc.hpp File Reference
`#include <string>`
`#include <vector>`
`#include <map>`
`#include <list>`
`#include <memory>`
`#include <ui-utilcpp/Exception.hpp>`
`#include <ui-utilcpp/Sys.hpp>`
`#include <ui-utilcpp/Text.hpp>`
Include dependency graph for Misc.hpp:
This graph shows which files directly or indirectly include this file:

## Data Structures

class | UI::Util::auto_base< P >
| Base adapter class to hold a pointer that can't be freed using standard "delete". More...
class | UI::Util::auto_cvec< P >
| Control freeing of C vector pointers via delete[]. More...
class | UI::Util::auto_free< P >
| Control freeing of memory via std::free. More...
class | UI::Util::MutexLock< Mutex >
| Mutex Lock class; an object of this class will guard a scope. More...
class | UI::Util::RealPath< M >
| Get canonical absolute path name (mutex-protected) More...
class | UI::Util::EUIDSwap
| Helper class to get a scope executed with some other effective uid. More...

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Functions

template<typename ElType >
void | UI::Util::delAnySeqContainer (std::vector< ElType * > &l) throw ()
| Run "delete" on all vector elements, and clear the vector. *>.
template<typename ElType >
void | UI::Util::freeAnySeqContainer (std::vector< ElType * > &l) throw ()
| Run "std::free" on all vector elements, and clear the vector. *>.
template<typename ElType >
void | UI::Util::delStringMap (std::map< std::string, ElType * > &l) throw ()
| Utility to delete any map<string, anytype>.
template<typename K >
std::list< K >::iterator | UI::Util::reverse_lfind (std::list< K > &l, K const &key)
| Reverse "find" for lists.
std::string | UI::Util::realpath (std::string const &path)
| Get canonical absolute path name.